Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in sqlite3
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in sqlite3
ID: openSUSE-SU-2019:1222-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Mi, 17. April 2019, 23:03
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20346
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-20506
Applikationen: sqlite3

Originalnachricht

   openSUSE Security Update: Security update for sqlite3
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1222-1
Rating: moderate
References: #1119687 #1131576
Cross-References: CVE-2018-20346 CVE-2018-20506
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for sqlite3 fixes the following issues:

Security issues fixed:

- CVE-2018-20346: Fixed a remote code execution vulnerability in FTS3
(Magellan) (bsc#1119687).
- CVE-2018-20506: Fixed an integer overflow when FTS3 extension is enabled
(bsc#1131576).

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-1222=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libsqlite3-0-3.8.10.2-11.3.1
libsqlite3-0-debuginfo-3.8.10.2-11.3.1
sqlite3-3.8.10.2-11.3.1
sqlite3-debuginfo-3.8.10.2-11.3.1
sqlite3-debugsource-3.8.10.2-11.3.1
sqlite3-devel-3.8.10.2-11.3.1

- openSUSE Leap 42.3 (x86_64):

libsqlite3-0-32bit-3.8.10.2-11.3.1
libsqlite3-0-debuginfo-32bit-3.8.10.2-11.3.1

- openSUSE Leap 42.3 (noarch):

sqlite3-doc-3.8.10.2-11.3.1


References:

https://www.suse.com/security/cve/CVE-2018-20346.html
https://www.suse.com/security/cve/CVE-2018-20506.html
https://bugzilla.suse.com/1119687
https://bugzilla.suse.com/1131576

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung